CLEAR ALL
w=640:h=400
BITMAP 1 NEW w,h
SPRITE 1 BIND BITMAP 1 SHOW FIT
TARGET BITMAP 1
sas=0
FOR s=10 TO 130 STEP 15
    FOR a=0 TO 2*PI STEP 0.5/(s*2*PI)
        sar=SIN(sas+a*6)*s/2
        x=SIN(a)*(s+sar):x=x+w/2
        y=COS(a)*(s+sar):y=y+h/2
        INK PLASMA.COLOR
        PLOT x,y
        i=i+1
        IF i=200 THEN i=0:PAUSE
    NEXT a
    sas=sas+0.4
NEXT s
GETKEY a$
r=0
DO
    SPRITE 1 ROTATE r
    r=r+3:IF r>=360 THEN r=r-360
    PAUSE
LOOP WHILE INKEY$=""
